<?php
namespace App\Model;


class Plan extends GenericObject
{
    static $table_name = 'plan';

    static $primary_key = 'pla_codigo';

    public function cargar($data){
        $this->pla_codigo = $data->id;
        $this->pla_descri = $data->descripcion;
        $this->pla_tipven = $data->tipoVenta;
        $this->pla_ncapca = $data->precioPorCantidad;
    }

    public static function toJSON($result)
    {
        if ($result === null) return $result;
        $temp = array();
        if(!isset($result->pla_codigo)){
            foreach($result as $item){
                $object = array(
                    "id" => $item->pla_codigo,
                    "descripcion" => $item->pla_descri,
                    "tipoVenta" => $item->pla_tipven,
                    "precioPorCantidad" => boolval($item->pla_ncapca)
                );
                $temp[] = $object;
            }
        }else{
            $temp = array(
                "id" => $result->pla_codigo,
                "descripcion" => $result->pla_descri,
                "tipoVenta" => $result->pla_tipven,
                "precioPorCantidad" => boolval($result->pla_ncapca)
            );
        }
        return json_encode($temp);
    }

}